package com.fs.fastGpt.service;

import java.util.List;
import com.fs.fastGpt.domain.FastGptRoleTag;

/**
 * AI的标签Service接口
 *
 * @author fs
 * @date 2024-11-04
 */
public interface IFastGptRoleTagService
{
    /**
     * 查询AI的标签
     *
     * @param id AI的标签主键
     * @return AI的标签
     */
    public FastGptRoleTag selectFastGptRoleTagById(Long id);

    /**
     * 查询AI的标签列表
     *
     * @param fastGptRoleTag AI的标签
     * @return AI的标签集合
     */
    public List<FastGptRoleTag> selectFastGptRoleTagList(FastGptRoleTag fastGptRoleTag);
    public List<FastGptRoleTag> selectFastGptRoleTagListByRoleId(Long roleId);

    /**
     * 新增AI的标签
     *
     * @param fastGptRoleTag AI的标签
     * @return 结果
     */
    public int insertFastGptRoleTag(FastGptRoleTag fastGptRoleTag);

    /**
     * 修改AI的标签
     *
     * @param fastGptRoleTag AI的标签
     * @return 结果
     */
    public int updateFastGptRoleTag(FastGptRoleTag fastGptRoleTag);

    /**
     * 批量删除AI的标签
     *
     * @param ids 需要删除的AI的标签主键集合
     * @return 结果
     */
    public int deleteFastGptRoleTagByIds(Long[] ids);

    /**
     * 删除AI的标签信息
     *
     * @param id AI的标签主键
     * @return 结果
     */
    public int deleteFastGptRoleTagById(Long id);
}
